## watson 0.0.1

=== DESCRIPTION ===
Package: watson
Type: Package
Title: Fitting and Simulating Mixtures of Watson Distributions
Version: 0.0.1
Authors@R: c(
    person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-9166-4563")), 
    person("Kurt", "Hornik", email = "Kurt.Hornik@wu.ac.at", role = "aut",
           comment = c(ORCID = "0000-0003-4198-9911")),
    person("Josef", "Leydold", email = "Josef.Leydold@wu.ac.at", role = "aut"),
    person("Gerard", "Jungman", role = c("ctb","cph"), comment = "Author and copyright holder of included GNU GSL code"),
    person("Brian", "Gough", role = c("ctb","cph"), comment = "Author and copyright holder of included GNU GSL code")
  )
Maintainer: Lukas Sablica <lsablica@wu.ac.at>
Description: Tools for fitting and simulating mixtures of Watson distributions. 
             The random sampling scheme of the package offers two sampling 
             algorithms that are based of the results of Sablica, Hornik and Leydold (2022)
             <https://research.wu.ac.at/en/publications/random-sampling-from-the-watson-distribution>.
             What is more, the package offers a smart tool to combine these two methods,
             and based on the selected parameters, it approximates the relative sampling
             speed for both methods and picks the faster one. In addition, the package
             offers a fitting function for the mixtures of Watson distribution, that
             uses the expectation-maximization (EM) algorithm. Special features are
             the possibility to use multiple variants of the E-step and M-step,
             sparse matrices for the data representation and state of the art methods
             for numerical evaluation of needed special functions using the results of
             Sablica and Hornik (2022) <https://www.ams.org/journals/mcom/2022-91-334/S0025-5718-2021-03690-X/>.
License: GPL-3
Encoding: UTF-8
Imports: Rcpp (>= 0.12.18), Tinflex (>= 1.8)
LinkingTo: Rcpp, RcppArmadillo, Tinflex
RoxygenNote: 7.1.2
Depends: R (>= 3.1.0)
NeedsCompilation: yes
Packaged: 2022-09-23 21:51:58 UTC; sablica
Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
  Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
  Josef Leydold [aut],
  Gerard Jungman [ctb, cph] (Author and copyright holder of included GNU
    GSL code),
  Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
    code)
Repository: CRAN
Date/Publication: 2022-09-26 12:20:02 UTC

## watson 0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watson
 Type: Package
 Title: Fitting and Simulating Mixtures of Watson Distributions
-Version: 0.0.1
+Version: 0.1
 Authors@R: c(
     person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-9166-4563")), 
@@ -32,7 +32,7 @@
 RoxygenNote: 7.1.2
 Depends: R (>= 3.1.0)
 NeedsCompilation: yes
-Packaged: 2022-09-23 21:51:58 UTC; sablica
+Packaged: 2022-10-12 13:13:31 UTC; sablica
 Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
   Josef Leydold [aut],
@@ -41,4 +41,4 @@
   Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
     code)
 Repository: CRAN
-Date/Publication: 2022-09-26 12:20:02 UTC
+Date/Publication: 2022-10-12 13:40:34 UTC

## watson 0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watson
 Type: Package
 Title: Fitting and Simulating Mixtures of Watson Distributions
-Version: 0.1
+Version: 0.2
 Authors@R: c(
     person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-9166-4563")), 
@@ -32,7 +32,7 @@
 RoxygenNote: 7.1.2
 Depends: R (>= 3.1.0)
 NeedsCompilation: yes
-Packaged: 2022-10-12 13:13:31 UTC; sablica
+Packaged: 2023-03-09 13:29:56 UTC; sablica
 Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
   Josef Leydold [aut],
@@ -41,4 +41,4 @@
   Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
     code)
 Repository: CRAN
-Date/Publication: 2022-10-12 13:40:34 UTC
+Date/Publication: 2023-03-09 14:30:02 UTC

## watson 0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Package: watson
 Type: Package
 Title: Fitting and Simulating Mixtures of Watson Distributions
-Version: 0.2
+Version: 0.3
 Authors@R: c(
     person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-9166-4563")), 
     person("Kurt", "Hornik", email = "Kurt.Hornik@wu.ac.at", role = "aut",
            comment = c(ORCID = "0000-0003-4198-9911")),
-    person("Josef", "Leydold", email = "Josef.Leydold@wu.ac.at", role = "aut"),
+    person("Josef", "Leydold", email = "Josef.Leydold@wu.ac.at", role = "aut",
+           comment = c(ORCID = "0000-0002-9076-4893")),
     person("Gerard", "Jungman", role = c("ctb","cph"), comment = "Author and copyright holder of included GNU GSL code"),
     person("Brian", "Gough", role = c("ctb","cph"), comment = "Author and copyright holder of included GNU GSL code")
   )
@@ -29,16 +30,16 @@
 Encoding: UTF-8
 Imports: Rcpp (>= 0.12.18), Tinflex (>= 1.8)
 LinkingTo: Rcpp, RcppArmadillo, Tinflex
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Depends: R (>= 3.1.0)
 NeedsCompilation: yes
-Packaged: 2023-03-09 13:29:56 UTC; sablica
+Packaged: 2023-03-17 16:48:18 UTC; sablica
 Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
-  Josef Leydold [aut],
+  Josef Leydold [aut] (<https://orcid.org/0000-0002-9076-4893>),
   Gerard Jungman [ctb, cph] (Author and copyright holder of included GNU
     GSL code),
   Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
     code)
 Repository: CRAN
-Date/Publication: 2023-03-09 14:30:02 UTC
+Date/Publication: 2023-03-17 18:00:02 UTC

## watson 0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watson
 Type: Package
 Title: Fitting and Simulating Mixtures of Watson Distributions
-Version: 0.3
+Version: 0.4
 Authors@R: c(
     person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-9166-4563")), 
@@ -33,7 +33,7 @@
 RoxygenNote: 7.2.3
 Depends: R (>= 3.1.0)
 NeedsCompilation: yes
-Packaged: 2023-03-17 16:48:18 UTC; sablica
+Packaged: 2023-06-01 09:07:18 UTC; sablica
 Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
   Josef Leydold [aut] (<https://orcid.org/0000-0002-9076-4893>),
@@ -42,4 +42,4 @@
   Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
     code)
 Repository: CRAN
-Date/Publication: 2023-03-17 18:00:02 UTC
+Date/Publication: 2023-06-01 09:20:02 UTC

## watson 0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watson
 Type: Package
 Title: Fitting and Simulating Mixtures of Watson Distributions
-Version: 0.4
+Version: 0.5
 Authors@R: c(
     person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-9166-4563")), 
@@ -30,10 +30,12 @@
 Encoding: UTF-8
 Imports: Rcpp (>= 0.12.18), Tinflex (>= 1.8)
 LinkingTo: Rcpp, RcppArmadillo, Tinflex
-RoxygenNote: 7.2.3
-Depends: R (>= 3.1.0)
+RoxygenNote: 7.3.2
+Depends: R (>= 3.5.0)
+Suggests: HSAUR3, testthat (>= 3.0.0)
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-06-01 09:07:18 UTC; sablica
+Packaged: 2024-11-19 15:31:54 UTC; lukas
 Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
   Josef Leydold [aut] (<https://orcid.org/0000-0002-9076-4893>),
@@ -42,4 +44,4 @@
   Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
     code)
 Repository: CRAN
-Date/Publication: 2023-06-01 09:20:02 UTC
+Date/Publication: 2024-11-19 15:50:02 UTC

## watson 0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watson
 Type: Package
 Title: Fitting and Simulating Mixtures of Watson Distributions
-Version: 0.5
+Version: 0.6
 Authors@R: c(
     person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-9166-4563")), 
@@ -16,7 +16,7 @@
 Description: Tools for fitting and simulating mixtures of Watson distributions. 
              The random sampling scheme of the package offers two sampling 
              algorithms that are based of the results of Sablica, Hornik and Leydold (2022)
-             <https://research.wu.ac.at/en/publications/random-sampling-from-the-watson-distribution>.
+             <doi:10.1080/10618600.2024.2416521>.
              What is more, the package offers a smart tool to combine these two methods,
              and based on the selected parameters, it approximates the relative sampling
              speed for both methods and picks the faster one. In addition, the package
@@ -25,17 +25,20 @@
              the possibility to use multiple variants of the E-step and M-step,
              sparse matrices for the data representation and state of the art methods
              for numerical evaluation of needed special functions using the results of
-             Sablica and Hornik (2022) <https://www.ams.org/journals/mcom/2022-91-334/S0025-5718-2021-03690-X/>.
+             Sablica and Hornik (2022) <doi:10.1090/mcom/3690> and 
+             Sablica and Hornik (2024) <doi:10.1016/j.jmaa.2024.128262>.
 License: GPL-3
 Encoding: UTF-8
 Imports: Rcpp (>= 0.12.18), Tinflex (>= 1.8)
 LinkingTo: Rcpp, RcppArmadillo, Tinflex
+URL: https://github.com/lsablica/watson
+BugReports: https://github.com/lsablica/watson/issues
 RoxygenNote: 7.3.2
 Depends: R (>= 3.5.0)
 Suggests: HSAUR3, testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2024-11-19 15:31:54 UTC; lukas
+Packaged: 2025-02-19 12:50:47 UTC; lukas
 Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
   Josef Leydold [aut] (<https://orcid.org/0000-0002-9076-4893>),
@@ -44,4 +47,4 @@
   Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
     code)
 Repository: CRAN
-Date/Publication: 2024-11-19 15:50:02 UTC
+Date/Publication: 2025-02-19 13:10:02 UTC

## watson 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watson
 Type: Package
 Title: Fitting and Simulating Mixtures of Watson Distributions
-Version: 0.6
+Version: 1.0.0
 Authors@R: c(
     person("Lukas", "Sablica", email = "lsablica@wu.ac.at", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-9166-4563")), 
@@ -14,6 +14,7 @@
   )
 Maintainer: Lukas Sablica <lsablica@wu.ac.at>
 Description: Tools for fitting and simulating mixtures of Watson distributions. 
+             The package is described in Sablica, Hornik and Leydold (2026) <doi:10.18637/jss.v115.i04>.
              The random sampling scheme of the package offers two sampling 
              algorithms that are based of the results of Sablica, Hornik and Leydold (2022)
              <doi:10.1080/10618600.2024.2416521>.
@@ -33,18 +34,19 @@
 LinkingTo: Rcpp, RcppArmadillo, Tinflex
 URL: https://github.com/lsablica/watson
 BugReports: https://github.com/lsablica/watson/issues
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Depends: R (>= 3.5.0)
 Suggests: HSAUR3, testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-02-19 12:50:47 UTC; lukas
-Author: Lukas Sablica [aut, cre] (<https://orcid.org/0000-0001-9166-4563>),
-  Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
-  Josef Leydold [aut] (<https://orcid.org/0000-0002-9076-4893>),
+Packaged: 2026-01-17 21:29:34 UTC; lukas
+Author: Lukas Sablica [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-9166-4563>),
+  Kurt Hornik [aut] (ORCID: <https://orcid.org/0000-0003-4198-9911>),
+  Josef Leydold [aut] (ORCID: <https://orcid.org/0000-0002-9076-4893>),
   Gerard Jungman [ctb, cph] (Author and copyright holder of included GNU
     GSL code),
   Brian Gough [ctb, cph] (Author and copyright holder of included GNU GSL
     code)
 Repository: CRAN
-Date/Publication: 2025-02-19 13:10:02 UTC
+Date/Publication: 2026-01-18 00:30:02 UTC

## watson 1.6.0

=== Makefile ===
# Watson

PYTHON ?= python
PIP ?= pip

VENV = virtualenv
VENV_ARGS = -p $(PYTHON)
VENV_DIR = $(CURDIR)/.venv

all: install

$(VENV_DIR): requirements-dev.txt
	$(VENV) $(VENV_ARGS) "$(VENV_DIR)"
	"$(VENV_DIR)"/bin/pip install -U setuptools wheel pip
	"$(VENV_DIR)"/bin/pip install -Ur $<

.PHONY: env
env: $(VENV_DIR)

.PHONY: install
install:
	$(PYTHON) setup.py install

.PHONY: install-dev
install-dev:
	$(PIP) install -r requirements-dev.txt
	$(PYTHON) setup.py develop

.PHONY: check
check: clean
	$(PYTHON) setup.py test

.PHONY: clean
clean:
	find . -name '*.pyc' -delete
	find . -name '__pycache__' -type d | xargs rm -fr

.PHONY: distclean
distclean: clean
	rm -fr *.egg *.egg-info/ .eggs/

.PHONY:
mostlyclean: clean distclean
	rm -rf "$(VENV_DIR)"

.PHONY: docs
docs: install-dev
	$(PYTHON) scripts/gen-cli-docs.py
	mkdocs build

=== requirements.txt ===
arrow!=0.11,!=0.12
click
requests

=== debian/changelog ===
watson (1.6.0-3) unstable; urgency=medium

  * debian/rules:
      - Silence dh_auto_test
      - Remove PYBUILD_INSTALL_ARGS

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 10 Jun 2018 09:09:26 -0300

watson (1.6.0-2) unstable; urgency=medium

  * This is some mess on repo. It is from the first packaging.
      - Remove *-doc package, Add python3-watson library
      - Delete python-watson-doc.docs file
      - Builds two packages - watson and python3-watson
      - Add manpage for watson package
      - Fix typo on Depends
      - Add genallman.sh to copyright
  * This debian revision:
      - debian/control:
          - Testsuite line recommented
      - debian/rules:
          - Add override - auto_test and clean
      - Readd debian/tests/control file.
      - Readd debian/upstream/metadata file
      - Readd debian/man/watson.*

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 03 Jun 2018 14:02:38 -0300

watson (1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #895295)

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 05 May 2018 10:08:56 -0300

=== debian/control ===
Source: watson
Section: utils
Priority: optional
Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, tox, python3-mock, python3-pytest, python3-pytest-runner, python3-flake8, txt2man
Standards-Version: 4.1.4
Homepage: http://tailordev.github.io/Watson/
Vcs-Git: https://salsa.debian.org/debian/watson.git
Vcs-Browser: https://salsa.debian.org/debian/watson
#Testsuite: autopkgtest-pkg-python

Package: watson
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-watson,
 python3-arrow,
 python3-click,
 python3-requests
Description: Helps you monitoring your time (Python 3)
 Watson is here to help you monitoring your time.
 .
 You want to know how much time you are spending on your
 projects? You want to generate a nice report for your
 client?
 .
 Watson is here for you.
 .
 This package installs the binary for Python 3.

Package: python3-watson
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Library for Watson (Python 3)
 Watson is here to help you monitoring your time.
 .
 You want to know how much time you are spending on your
 projects? You want to generate a nice report for your
 client?
 .
 Watson is here for you.
 .
 This package installs the library used by Watson.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME = watson
export PYBUILD_TEST_PYTEST = 0

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	tox
endif

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/watson/usr
	mv debian/python3-watson/usr/bin debian/watson/usr

override_dh_clean:
	rm -fr .tox
	rm -fr .pytest_cache
	dh_clean

=== debian/tests/control ===
Test-Command: tox
Depends: @, @builddeps@

## watson 1.7.0

=== debian/changelog ===
watson (1.7.0-5) unstable; urgency=medium

  * CI tests: Testsuite (superficial) in d/control

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 01 Aug 2019 08:04:01 -0300

watson (1.7.0-4) unstable; urgency=medium

  * debian/control:
      - Remove Testsuite entry
  * debian/tests/control:
      - import module
      - add build-needed

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 28 Jul 2019 08:44:03 -0300

watson (1.7.0-3) unstable; urgency=medium

  * debian/tests/control:
      - Add build-needed
      - Remove allow-stderr

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 27 Jul 2019 16:00:02 -0300

watson (1.7.0-2) unstable; urgency=medium

  * Upload to unstable
  * DH_LEVEL: 12
  * debian/control:
      - debhelper-compat rather than a debian/compat file
      - Bump Standards-Version to 4.4.0
      - Add Testsuite entry
  * debian/tests/control:
      - quilt and pytest-3

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 24 Jul 2019 09:11:35 -0300

watson (1.7.0-1) experimental; urgency=medium

  * New upstream version 1.7.0
  * debian/copyright:
      - update year for myself
  * debian/watch:
      - fix project name tarball

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 30 May 2019 09:56:41 -0300

watson (1.6.0-6) unstable; urgency=medium

  * debian/control:
      - Fix B-D: python3-pytest-mock
  * run build-time tests:
      - debian/rules: rm override_dh_autotest
      - debian/patches/fix_fixture_path.patch

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 30 Mar 2019 09:44:15 -0300

watson (1.6.0-5) unstable; urgency=medium

  * debian/control:
      - Fix Build-Depends and Depends
      - Bump Standards-Version from 4.2.1 to 4.3.0
  * debian/rules:
      - no tests. they need outdate versions
  * debian/tests/control:
      - py3 import module

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Feb 2019 10:03:13 -0200

watson (1.6.0-4) unstable; urgency=medium

  * debian/control:
      - Bump Standards-Version from 4.1.4 to 4.2.1
  * debian/tests:
      - Depends tox only
      - py36 only
  * Run wrap-and-sort

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 21 Nov 2018 12:30:26 -0200

## watson 1.8.0

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,13 @@
 VENV = virtualenv
 VENV_ARGS = -p $(PYTHON)
 VENV_DIR = $(CURDIR)/.venv
+VENV_WATSON_DIR = $(CURDIR)/data
 
 all: install
 
 $(VENV_DIR): requirements-dev.txt
 	$(VENV) $(VENV_ARGS) "$(VENV_DIR)"
+	echo "export WATSON_DIR=\"$(VENV_WATSON_DIR)\"" >> "$(VENV_DIR)"/bin/activate
 	"$(VENV_DIR)"/bin/pip install -U setuptools wheel pip
 	"$(VENV_DIR)"/bin/pip install -Ur $<

=== requirements.txt ===
arrow!=0.11,!=0.12.0
click
requests

=== debian/changelog ===
watson (1.8.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.8.0 (closes: #947733)

 -- Samuel Henrique <samueloph@debian.org>  Mon, 06 Jan 2020 19:28:11 +0000

=== debian/control ===
Source: watson
Section: utils
Priority: optional
Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-flake8,
               python3-pytest,
               python3-pytest-mock,
               python3-pytest-runner,
               python3-setuptools,
               python3-arrow,
               python3-click,
               python3-requests,
               txt2man
Standards-Version: 4.4.0
Homepage: http://tailordev.github.io/Watson/
Vcs-Git: https://salsa.debian.org/debian/watson.git
Vcs-Browser: https://salsa.debian.org/debian/watson
Testsuite: autopkgtest-pkg-python

Package: watson
Architecture: all
Depends: python3-watson,
         ${misc:Depends},
         ${python3:Depends}
Description: Helps you monitoring your time (Python 3)
 Watson is here to help you monitoring your time.
 .
 You want to know how much time you are spending on your
 projects? You want to generate a nice report for your
 client?
 .
 Watson is here for you.
 .
 This package installs the binary for Python 3.

Package: python3-watson
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library for Watson (Python 3)
 Watson is here to help you monitoring your time.
 .
 You want to know how much time you are spending on your
 projects? You want to generate a nice report for your
 client?
 .
 Watson is here for you.
 .
 This package installs the library used by Watson.

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,11 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME = watson
-export PYBUILD_TEST_PYTEST = 0
+# export PYBUILD_TEST_PYTEST = 1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	tox
-endif
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%watson-$1.tar.gz%" \
   https://github.com/TailorDev/Watson/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
